//Makes the game to look as if it had a very low resolution

texture TargetMap;
sampler2D smpSource = sampler_state { texture = <TargetMap>; };

float4 vecViewPort; 
float4 vecSkill1;

float4 blockyPS( float2 Tex : TEXCOORD0 ) : COLOR0 
{
	Tex.x = round(Tex.x*vecSkill1[0])/vecSkill1[0];
	Tex.y = round(Tex.y*vecSkill1[1])/vecSkill1[1];
	return tex2D(smpSource,Tex.xy);
}

technique postFX 
{ 
	pass p1 
	{ 
		PixelShader = compile ps_2_0 blockyPS(); 
	} 
}

technique fallback { pass one { } }
